# Offer_Code_Retrieve

Endpoint: GET /api/v1/sponsor/merchants/{merchant_uuid}/offer-code/{id}/
Version: 1.0.0 (sponsor_merchant_v1)
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `id` (integer, required)
    The ID of the offer code

  - `merchant_uuid` (string, required)
    The external organization ID of the merchant. aka: `external_org_id`

## Response 200 fields (application/json):

  - `id` (integer, required)

  - `name` (string, required)

  - `is_active` (boolean)

  - `rate_sheet_merchant_product_prices` (array, required)

  - `rate_sheet_merchant_product_prices.id` (integer, required)

  - `rate_sheet_merchant_product_prices.product_term_structure` (object, required)

  - `rate_sheet_merchant_product_prices.product_term_structure.product_name` (string)

  - `rate_sheet_merchant_product_prices.product_term_structure.short_description` (string)

  - `rate_sheet_merchant_product_prices.product_term_structure.apr_range` (string, required)

  - `rate_sheet_merchant_product_prices.product_term_structure.term_range` (string, required)

  - `rate_sheet_merchant_product_prices.product_term_structure.customer_preferences` (array, required)

  - `rate_sheet_merchant_product_prices.merchant_fee` (string, required)

  - `rate_sheet_merchant_product_prices.product_category` (string, required)

